Quassel IRC - Bug #809

Save all coresession settings periodically
09/19/2009 09:15 PM - seezer

Status: Resolved Start date: 09/19/2009
Priority: Normal Due date:

Assignee: seezer % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

Currently only bufferview settings get saved periodically.
At least in the mono client a bugger as long as we have some crashes ;)

Associated revisions

Revision 5cdc2eb559444f9e34dfb6a06f155e5581e33e3d - 10/01/2009 12:05 PM - seezer

Write aliases+ignorelist changes to DB immediately

Hopefully pleases EgS and fixes #809

Revision 5cdc2eb5 - 10/01/2009 12:05 PM - seezer

Write aliases+ignorelist changes to DB immediately

Hopefully pleases EgS and fixes #809

History

#1 - 09/22/2009 02:22 PM - seezer
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Fixed as of 22d6ab71

#2 - 09/22/2009 03:39 PM - EgS
- Status changed from Resolved to Assigned
reopening

| just noticed this BR and have to object to the solution. :)
The question is: how often do aliases / ignore lists change? rarely.

So | think the best solution would be to simply make those changes persistent on change and not periodicaly.

Seezer: poke :)

#3 - 10/02/2009 06:45 PM - seezer

- Status changed from Assigned to Resolved

Applied in changeset 5cdc2eb559444f9e34dfb6a06f155€5581e33e3d.
